Make error on PerlMagick 6.8.6

PerlMagick is an object-oriented Perl interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning PerlMagick.
Post Reply
matthewc100
Posts: 4
Joined: 2013-07-27T12:00:47-07:00
Authentication code: 6789

Make error on PerlMagick 6.8.6

Post by matthewc100 » 2013-07-27T12:06:03-07:00

Hi,
Attempting to install the CPAN Image::Magick module and am getting a fatal error that a core file is missing:
Reading '/Users/coblem/.cpan/Metadata'
Database was generated on Sat, 27 Jul 2013 18:29:02 GMT
Running install for module 'Image::Magick'
Running make for J/JC/JCRISTY/PerlMagick-6.86.tar.gz
Checksum for /Users/coblem/.cpan/sources/authors/id/J/JC/JCRISTY/PerlMagick-6.86.tar.gz ok

CPAN.pm: Building J/JC/JCRISTY/PerlMagick-6.86.tar.gz

Checking if your kit is complete...
Looks good
Warning (mostly harmless): No library found for -lperl
Writing Makefile for Image::Magick
Writing MYMETA.yml and MYMETA.json
cp Magick.pm blib/lib/Image/Magick.pm
AutoSplitting blib/lib/Image/Magick.pm (blib/lib/auto/Image/Magick)
/opt/local/bin/perl5.12 /opt/local/lib/perl5/5.12.4/ExtUtils/xsubpp -typemap /opt/local/lib/perl5/5.12.4/ExtUtils/typemap -typemap typemap Magick.xs > Magick.xsc && mv Magick.xsc Magick.c
/usr/bin/clang -c -I/usr/local/include/ImageMagick-6 -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -I/usr/include/libxml2 -I"/usr/include/ImageMagick-6" -pipe -O2 -fno-common -DPERL_DARWIN -I/opt/local/include -no-cpp-precomp -fno-strict-aliasing -fstack-protector -I/opt/local/include -I/usr/include/freetype2 -fopenmp -g -O2 -Wall -pthread -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -O3 -DVERSION=\"6.86\" -DXS_VERSION=\"6.86\" "-I/opt/local/lib/perl5/5.12.4/darwin-thread-multi-2level/CORE" -D_LARGE_FILES=1 -DHAVE_CONFIG_H Magick.c
clang: warning: argument unused during compilation: '-fopenmp'
Magick.xs:60:10: fatal error: 'magick/MagickCore.h' file not found
#include <magick/MagickCore.h>
^
1 error generated.
make: *** [Magick.o] Error 1
JCRISTY/PerlMagick-6.86.tar.gz
/usr/bin/make -- NOT OK
Running make test
Can't test without successful make
Running make install
Make had returned bad status, install seems impossible
Thoughts on what to do next?

davidljung
Posts: 1
Joined: 2013-08-12T13:33:59-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by davidljung » 2013-08-12T13:42:48-07:00

@matthewc100 - did you make any progress on figuring this out? I'm getting the same thing on Ubuntu 13.04 x86_64.
The version shown in /usr/include/ImageMagick/magick/version.h is:

Code: Select all

#define MagickPackageName "ImageMagick"
#define MagickCopyright  "Copyright (C) 1999-2012 ImageMagick Studio LLC"
#define MagickSVNRevision  "8535"
#define MagickLibVersion  0x677
#define MagickLibVersionText  "6.7.7"
#define MagickLibVersionNumber  5,0,0
#define MagickLibAddendum  "-10"
#define MagickLibInterface  5
#define MagickLibMinInterface  5
#define MagickReleaseDate  "2013-02-25"
#define MagickChangeDate   "20120628"
but the Perl module installer seems to be looking in /usr/include/ImageMagick-6

I tried making a symlink from /usr/include/ImageMagick-6 to /usr/include/ImageMagick, but that just caused compilation errors instead.
The result is still the same after installing every -dev ImageMagick package I could find.

Cheers.

dtbaker61
Posts: 2
Joined: 2013-08-21T15:16:29-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by dtbaker61 » 2013-08-21T15:22:30-07:00

I am having a failed cpan install as well.... trying to build a new dev/test environment on my new laptop running windows7. perl 5.14.2 installed fine from Strawberry. I installed a couple other modules with cpan without trouble, but it will not make Image::Magick even though it 'finds' it. Any resolution?

tkindig@wsfcu.org
Posts: 1
Joined: 2013-11-19T10:48:04-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by tkindig@wsfcu.org » 2013-11-19T13:50:52-07:00

I am getting the same error on FreeBSD 8.1.

Code: Select all

Going to read '/root/.cpan/Metadata'
  Database was generated on Mon, 18 Nov 2013 19:07:31 GMT
Installing Image::Magick version 6.86...
Running install for module 'Image::Magick'
Running make for J/JC/JCRISTY/PerlMagick-6.86.tar.gz
Checksum for /root/.cpan/source/authors/id/J/JC/JCRISTY/PerlMagick-6.86.tar.gz ok

  CPAN.pm: Going to build J/JC/JCRISTY/PerlMagick-6.86.tar.gz

Checking if your kit is complete...
Looks good
Generating a Unix-style Makefile
Writing Makefile for Image::Magick
Writing MYMETA.yml and MYMETA.json
cp Magick.pm blib/lib/Image/Magick.pm
AutoSplitting blib/lib/Image/Magick.pm (blib/lib/auto/Image/Magick)
/usr/local/bin/perl /usr/local/lib/perl5/5.14/ExtUtils/xsubpp  -typemap /usr/local/lib/perl5/5.14/ExtUtils/typemap -typemap typemap  Magick.xs > Magick.xsc && mv Magick.xsc Magick.c
cc -c  -I/usr/local/include/ImageMagick-6 -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -I/usr/include/libxml2 -I"/usr/include/ImageMagick-6"  -DAPPLLIB_EXP="/usr/local/lib/perl5/5.14/BSDPAN" -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -I/usr/include/freetype2 -fopenmp -g -O2 -Wall -pthread -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -O2 -pipe -fno-strict-aliasing    -DVERSION=\"6.86\"  -DXS_VERSION=\"6.86\" -DPIC -fPIC "-I/usr/local/lib/perl5/5.14/mach/CORE"  -D_LARGE_FILES=1 -DHAVE_CONFIG_H Magick.c
*** Error code 1

Stop in /var/cpan/cpan/PerlMagick-6.86-f3OZgt.
  JCRISTY/PerlMagick-6.86.tar.gz
  /usr/bin/make -- NOT OK
'YAML' not installed, will not store persistent state
Skipping test because of notest pragma
Running make install
  Make had returned bad status, install seems impossible

kaefert
Posts: 23
Joined: 2013-12-10T05:50:03-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by kaefert » 2013-12-10T05:56:14-07:00

I've just ran into the same problem on my Linux Mint 16 (~Ubuntu 13.10)

Code: Select all

cpan[1]> install Image::Magick
Going to read '/home/kaefert/.cpan/Metadata'
  Database was generated on Tue, 10 Dec 2013 11:29:03 GMT
Running install for module 'Image::Magick'
Running make for J/JC/JCRISTY/PerlMagick-6.87.tar.gz
Checksum for /home/kaefert/.cpan/sources/authors/id/J/JC/JCRISTY/PerlMagick-6.87.tar.gz ok
Scanning cache /home/kaefert/.cpan/build for sizes
............................................................................DONE

  CPAN.pm: Going to build J/JC/JCRISTY/PerlMagick-6.87.tar.gz

Checking if your kit is complete...
Looks good
Warning (mostly harmless): No library found for -lMagickCore-6.Q16
Generating a Unix-style Makefile
Writing Makefile for Image::Magick
Writing MYMETA.yml and MYMETA.json
cp Magick.pm blib/lib/Image/Magick.pm
AutoSplitting blib/lib/Image/Magick.pm (blib/lib/auto/Image/Magick)
Running Mkbootstrap for Image::Magick ()
chmod 644 Magick.bs
/usr/bin/perl /usr/share/perl/5.14/ExtUtils/xsubpp  -typemap /usr/share/perl/5.14/ExtUtils/typemap -typemap typemap  Magick.xs > Magick.xsc && mv Magick.xsc Magick.c
cc -c  -I/usr/local/include/ImageMagick-6 -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -I/usr/include/libxml2 -I"/usr/include/ImageMagick-6" -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fstack-protector -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/freetype2 -g -O2 -Wall -pthread -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -O2 -g   -DVERSION=\"6.87\" -DXS_VERSION=\"6.87\" -fPIC "-I/usr/lib/perl/5.14/CORE"  -D_LARGE_FILES=1 -DHAVE_CONFIG_H Magick.c
Magick.xs:60:31: fatal error: magick/MagickCore.h: No such file or directory
 #include <magick/MagickCore.h>
                               ^
compilation terminated.
make: *** [Magick.o] Error 1
  JCRISTY/PerlMagick-6.87.tar.gz
  /usr/bin/make -- NOT OK
'YAML' not installed, will not store persistent state
Running make test
  Can't test without successful make
Running make install
  Make had returned bad status, install seems impossible
Failed during this command:
 JCRISTY/PerlMagick-6.87.tar.gz               : make NO

cpan[2]> 
is there any solution / workaround? I would have liked to use this: http://search.cpan.org/dist/Graphics-DZ ... ics/DZI.pm

User avatar
magick
Site Admin
Posts: 11043
Joined: 2003-05-31T11:32:55-07:00

Re: Make error on PerlMagick 6.8.6

Post by magick » 2013-12-10T06:21:40-07:00

PerlMagick 6.87 requires ImageMagick 6.8.7. Its possible PerlMagick is part of your OS RPM distribution. For example, under Fedora we install PerlMagick like this:
  • yum install ImageMagick-perl

kaefert
Posts: 23
Joined: 2013-12-10T05:50:03-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by kaefert » 2013-12-10T06:30:21-07:00

magick wrote:PerlMagick 6.87 requires ImageMagick 6.8.7. Its possible PerlMagick is part of your OS RPM distribution. For example, under Fedora we install PerlMagick like this:
  • yum install ImageMagick-perl
hmm, sadly, all the imagemagick packages I have available are:
imagemagick (8:6.7.7.10-5ubuntu3)
imagemagick-common (8:6.7.7.10-5ubuntu3)
imagemagick-dbg (8:6.7.7.10-5ubuntu3)
imagemagick-doc (8:6.7.7.10-5ubuntu3)

and
imagemagick & imagemagick-common are currently installed.

User avatar
magick
Site Admin
Posts: 11043
Joined: 2003-05-31T11:32:55-07:00

Re: Make error on PerlMagick 6.8.6

Post by magick » 2013-12-10T07:30:40-07:00

PerlMagick is included with the ImageMagick source distribution. Download the source and type
  • tar xvfz ImageMagick-6.8.7-9.tar,gz
    cd ImaegMagick-6.8.7
    ./configure --with-perl
    make
    make install
You should be able to use PerlMagick now.

kaefert
Posts: 23
Joined: 2013-12-10T05:50:03-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by kaefert » 2013-12-10T07:59:30-07:00

thanks! that worked! :)

update: okey, now I've found the package:

Code: Select all

sudo apt-get install perlmagick

matthewc100
Posts: 4
Joined: 2013-07-27T12:00:47-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by matthewc100 » 2014-03-08T23:34:59-07:00

I'm sure I got this to work previously but I've managed to step on it.

In any event, I downloaded the imagemagick source but the configure directory does not exist. Where are we expected to go with the

Code: Select all

./configure --with-perl
command? That part is not working for me.

Running Mac OS 10.8

matthewc100
Posts: 4
Joined: 2013-07-27T12:00:47-07:00
Authentication code: 6789

Re: Make error on PerlMagick 6.8.6

Post by matthewc100 » 2014-03-08T23:46:47-07:00

Found configure directory in 6.8.8-7.

I'm resolved….

Post Reply